jQuery UI Layout
================

The Ultimate Page Layout Manager
--------------------------------

This widget was inspired by the extJS border-layout, and recreates that functionality in a jQuery plug-in. 
The Layout plug-in can create _any_ UI look you want - from simple headers or sidebars, 
to a complex application with toolbars, menus, help-panels, status bars, sub-forms, etc.

Combined it with other jQuery UI widgets to create a sophisticated application. 
There are no limitations or issues - this widget is ready for production use. 
If you create a good looking application using UI Layout, please let us know.

### Highlights

- **simple yet powerful**"- syntax is easy to learn
- **unlimited layout capabilities**: 5 regions per layout - unlimited nesting
- **dozens of options**: every aspect is customizable, globally and by region
- **total CSS control**: dozens of auto-generated classes create ANY UI look
- **extensible**: callbacks, methods, and special utilities provide total control
- **custom buttons**: integrates with your own buttons for a custom UI look
- **collapsable**: each pane can be closed, using any UI animation you want
- **hidable**: panes can be completely hidden, either on startup or at any time
- **resizable**: each pane can be resized, within automatic or specified limits
- **slidable**: panes can also 'slide open' for temporary access
- **headers & footers**: each region has unlimited headers or footers
- **hotkeys**: can use the cursor-keys and/or define custom hotkeys
- **use any elements**: use divs, iframes or any elements you want as a 'pane'
- **compatible with UI widgets**: integrates with jQuery widgets and plug-ins
- **demo mode**: set applyDefaultStyles option for a fully functional layout
- **and MORE**: see the documentation and demos

### History & Future

UI Layout was created 6 years ago as an enhancement to the borderLayout widget.
Sourcecode was just recently transferred to GitHub, which also allowed it to be _re-registered_ on the jQuery plugins site.
You can find Layout on the jQuery site at: http://plugins.jquery.com/layout 

Documentation and other information is being updated for the latest version and will be migrated to GitHub. 
In the meantime you can find information and demos on the widget's old website and in its forum...

- Website: http://layout.jquery-dev.com
- Support: https://groups.google.com/forum/#!forum/jquery-ui-layout

More information will be added here soon. This is just to get the migration process started...

/Kevin